<?php

gatekeeper();

$bbbplus_guid = get_input('guid');
$bbbplus = get_entity($bbbplus_guid);

if (!elgg_instanceof($bbbplus, 'object', 'bbbplus') || !$bbbplus->canEdit()) {
	register_error(elgg_echo('bbbplus:edit:unknown'));
	forward(REFERRER);
}

$page_owner = elgg_get_page_owner_entity();

$title = elgg_echo('bbbplus:edit');
elgg_push_breadcrumb($title);
// create form
$form_vars = array();
$body_vars = bbbplus_prepare_form_vars($bbbplus);
$content = elgg_view_form('bbbplus/save', $form_vars, $body_vars);

$body = elgg_view_layout('content', array(
	'filter' => '',
	'content' => $content,
	'title' => $title,
));

echo elgg_view_page($title, $body);
