<?php
// get the form inputs

$user = elgg_get_logged_in_user_entity();


gatekeeper();
$user_guid = elgg_get_logged_in_user_guid();
$url = get_input('urlconnect');
$urlrecord = get_input('urlrecord');
$date = get_input('date');
$time = get_input('time');
$objetive = get_input('objetive');
$access_id = get_input('access_id');
$guid = get_input('guid');
$group_guid = get_input('group_guid');

$container_guid = get_input('container_guid', $user_guid);

elgg_make_sticky_form('bbbplus');

//if ( !$url || !$objetive ) {
if ( !$url ) {
        register_error(elgg_echo('bbbplus:save:failed'));
        forward(REFERER);
}

if ($guid == 0) {
	// create a new bbbplus object
	$bbbplus = new ElggObject();
	$bbbplus->subtype = "bbbplus";
	$bbbplus->url = $url;
	$bbbplus->urlrecord= $urlrecord;
	$bbbplus->date= $date;
	$bbbplus->time= $time;
	$bbbplus->objetive = $objetive;
	$bbbplus->container_guid = (int)get_input('container_guid', $user_guid);
	$bbbplus->group_guid = $group_guid;
	$new = true;
} else {
        $bbbplus = get_entity($guid);
        if (!$bbbplus->canEdit()) {
        	system_message(elgg_echo('bbbplus:save:failed'));
                forward(REFERRER);
        }
	$new = false;
}
// for now make all bbbplus posts public
$bbbplus->access_id = $access_id;
$bbbplus->objetive = $objetive;

// owner is logged in user
$bbbplus->owner_guid = $user_guid;

// save to database and get id of the new bbbplus
$bbbplus_guid = $bbbplus->save();

// if the bbbplus was saved, we want to display the new post
// otherwise, we want to register an error and forward back to the form
if ($bbbplus_guid) {
   elgg_clear_sticky_form('bbbplus');
   system_message(elgg_echo('bbbplus:save:success'));
   //add to river only if new

   if ($new) {
       elgg_create_river_item(array(
		'view' => 'river/object/bbbplus/create',
		'action_type' => 'create', 
		'subject_guid' => $user_guid,
		'object_guid' => $bbbplus->getGUID(),
       ));
   }

   // Notifications
   /*
   $owner = $bbbplus->getOwnerEntity();
   $subject = elgg_echo('bbbplus:notification:subject', array(), $owner->language);
   $summary = elgg_echo('bbbplus:notification:summary', array($user->name), $owner->language);
   $body = elgg_echo('bbbplus:notification:body', array(
        $user->name,
        $owner->name,
        $bbbplus->date 
   ), $owner->language);

   $params = array(
        'object' => $bbbplus,
        'action' => 'create',
        'summary' => $summary
   );

   notify_user($owner->guid, $user->guid, $subject, $body, $params);
    */
   // fin

   forward($bbbplus->getURL());
} else {
   register_error( elgg_echo('bbbplus:register:no:saved'));
   forward(REFERER); // REFERER is a global variable that defines the previous page
}
