<?php

elgg_register_event_handler('init', 'system', 'bbbplus_init');

function bbbplus_init() {
    ////elgg_register_library('elgg:bbbplus', elgg_get_plugins_path() . 'bbbplus/lib/bbbplus.php');
    require_once('mod/bbbplus/lib/bbbplus.php');
    elgg_register_action("bbbplus/save", elgg_get_plugins_path() . "bbbplus/actions/bbbplus/save.php");
    elgg_register_action("bbbplus/delete", elgg_get_plugins_path() . "bbbplus/actions/bbbplus/delete.php");
    elgg_register_page_handler('bbbplus', 'bbbplus_page_handler');
    elgg_register_plugin_hook_handler('register', 'menu:owner_block', 'bbbplus_owner_block_menu'); // Add menu in group menu
    //elgg_register_plugin_hook_handler('register', 'menu:entity', 'bbbplus_entity_menu_setup');
    elgg_register_entity_type('object', 'bbbplus');
    add_group_tool_option('bbbplus', elgg_echo('bbbplus:group:tool'), true);
    elgg_extend_view('groups/tool_latest', 'bbbplus/group_module');
    // Notifications
    //elgg_register_notification_event('object', 'bbbplus', array('create'));
    elgg_register_notification_event('object', 'bbbplus');
    elgg_register_plugin_hook_handler('prepare', 'notification:create:object:bbbplus', 'bbbplus_prepare_notification');

    elgg_extend_view('elgg.css', 'bbbplus/css', 700);
}


function bbbplus_page_handler($segments) {
//    elgg_load_library('elgg:bbbplus');
//    elgg_push_breadcrumb(elgg_echo('bbbplus'), 'bbbplus/all');
    elgg_push_context('bbbplus');
    switch ($segments[0]) {
	    
        case 'all':
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/all.php';
           break;

/*        case 'owner':
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/owner.php';
	   break; */
        case 'add':
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/add.php';
           break;
        case 'edit':
	   set_input('guid', $segments[1]);
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/edit.php';
           break;
        case 'group':
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/owner.php';
           break;
       case 'conecta':
           group_gatekeeper();
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/conecta.php';
           break;
       case 'registro':
           group_gatekeeper();
           include elgg_get_plugins_path() . 'bbbplus/pages/bbbplus/registro.php';
           break;
	     
        default:
           return false;
    }
    elgg_pop_context();
    return true;
}
/*
function bbbplus_owner_block_menu($hook, $type, $return, $params) { // Add menu if is active in group options
        if ($params['entity']->bbbplus_enable != 'no') {
                //$url = "bbbplus/group/{$params['entity']->guid}";
                $url = "bbbplus/";
                $item = new ElggMenuItem('bbbplus',elgg_echo('edocs'), $url);
                $return[] = $item;
        }
        return $return;
}
*/

function bbbplus_owner_block_menu($hook, $type, $return, $params) {
	/*
        if (elgg_instanceof($params['entity'], 'user')) {
		$text = elgg_echo('bbbplus');
                $url = "bbbplus/owner/{$params['entity']->username}";
                $item = new ElggMenuItem('bbbplus', $text, $url);
                $return[] = $item;
	} else { */

                if ($params['entity']->bbbplus_enable != 'no') {
			
			$text = elgg_echo('bbbplus:group:tool');
                        $url = "bbbplus/group/{$params['entity']->guid}/owner";
                       	$item = new ElggMenuItem('bbbplus', $text, $url);
                        $return[] = $item;

                }
        //}

        return $return;
}

function bbbplus_prepare_notification($hook, $type, $notification, $params) {
    $entity = $params['event']->getObject();
    $owner = $params['event']->getActor();
    $recipient = $params['recipient'];
    $language = $params['language'];
    $method = $params['method'];

    // Title for the notification
    $notification->subject = elgg_echo('bbbplus:notify:subject', [$entity->getDisplayName()], $language);

    // Message body for the notification
    $notification->body = elgg_echo('bbbplus:notify:body', array(
        $group->name,
        $entity->date,
        $entity->time,
        $entity->objetive,
        $entity->getURL(),
	$owner->getDisplayName()
    ), $language);

    // Short summary about the notification
    $notification->summary = elgg_echo('bbbplus:notify:summary', [$entity->getDisplayName()], $language);

    return $notification;
}
