<?php

$user_id = elgg_get_logged_in_user_entity();
$bbbplus = elgg_extract('entity', $vars, FALSE);
$owner = $bbbplus->getOwnerEntity();
$owner_icon = elgg_view_entity_icon($owner, 'tiny');

if (!$bbbplus) { return; }
// Verificar Teleconferencia activa
list($meetingID,$group_guid)=explode("&",parse_url($bbbplus->url, PHP_URL_QUERY));
$server=elgg_get_plugin_setting('server','bbbplus')."/bigbluebutton/";
$salt=elgg_get_plugin_setting('salt','bbbplus');
 // Generate url to check if meeting is running - Genera url para revisar si la sala está creada
$baseurl="https://" . $server . "api/";
$action = "isMeetingRunning";
$params =$meetingID;
$check_string = $action.$params.$salt;
$checksum= sha1($check_string);
$url = $baseurl.$action."?".$params."&checksum=" .$checksum;
$checkxml= simplexml_load_file($url);
$istrue= $checkxml->running;

if ($istrue == "true") {
        $icon = elgg_view_icon('play-circle','bbbplus-i20-activo');
} else {
        $icon = elgg_view_icon('play-circle','bbbplus-i20-inactivo');
}
// Fin
$bbbplus_urlrecord = elgg_view('output/url', array(
	'href' => $bbbplus->urlrecord,
	'text' => elgg_echo("bbbplus:record")." ".elgg_view_icon('camera'),
        'target' => "_blank"
));

$bbbplus_url = elgg_view('output/url', array(
	'href' => $bbbplus->url,
	'text' => $bbbplus->date." ".$bbbplus->time." ". $icon,
        'target' => "_blank"
));

$owner_link = elgg_view('output/url', array(
        'href' => "bbbplus/owner/$owner->username",
        'text' => $owner->name,
));
$author_text = elgg_echo('byline', array($owner_link));
$date = elgg_view_friendly_time($bbbplus->time_created);

$metadata = elgg_view_menu('entity', array(
        'entity' => $vars['entity'],
        'handler' => 'bbbplus',
        'sort_by' => 'priority',
        'class' => 'elgg-menu-hz',
));

$subtitle = "$author_text $date";

// Validar registro
//list($meetingID,$group_guid)=explode("&",parse_url($bbbplus->url, PHP_URL_QUERY));
//$server=elgg_get_plugin_setting('server','bbbplus')."/bigbluebutton/";
//$salt=elgg_get_plugin_setting('salt','bbbplus');

//echo $meetingID."<br>";
$call="getRecordings?". $meetingID;
$callcheck="getRecordings" . $meetingID . $salt;
$checksum=sha1($callcheck);
$urlcall="https://" . $server . "api/" .$call.  "&checksum=" .$checksum;
$xml = simplexml_load_string(file_get_contents($urlcall));
$messageKey = $xml->messageKey;
if ( $messageKey == "noRecordings" ) {
        $record_url = "";
} else {
	$record_url ="<div class='bbbplus-data'><label>$bbbplus_urlrecord </label></div>";
}
// fin


// Vista
//
$year = date('Y',strtotime($bbbplus->date));
$id_month= date('m',strtotime($bbbplus->date));
$day = date('d',strtotime($bbbplus->date));

$month = elgg_echo('bbbplus:'.$id_month);
$owner_label = elgg_echo('bbbplus:owner:creator');
$objetive_label = elgg_echo('bbbplus:objetive');

?>
  <div class='bbbplus-calendar'>
    <div class='bbbplus-month'><?php echo $month ?></div>
    <div class='bbbplus-day'><?php echo $day ?></div>
 </div>
  <div class='bbbplus-event'>
       <div class='bbbplus-date'><?php echo $bbbplus_url ?></div>
       <div class='bbbplus-data'><label><?php echo $owner_label ?> : </label><?php echo $owner_link ?></div>
       <div class='bbbplus-data'><?php echo $record_url ?></div>
  </div>
  <div class='bbbplus-data2'>
       <div class='bbbplus-date'><label><?php echo $objetive_label ?> : </label>
  </div>
  <div class='bbbplus-objetive'>
        <?php echo $bbbplus->objetive ?></div>
  </div>

