<?php

 
$user_id = elgg_get_logged_in_user_entity();
$object = $vars['item']->getObjectEntity();
$subject = $vars['item']->getSubjectEntity();

/*
$subject_link = elgg_view('output/url', array(
        'href' => "activity/owner/$subject->username",
        'text' => $subject->name,
        'class' => 'elgg-river-subject',
        'is_trusted' => true,
));

$object_link = elgg_view('output/url', array(
        'href' => "groups/activity/$object->group_guid",
        'text' => $group->name,
        'class' => 'elgg-river-object',
        'is_trusted' => true,
));

$summary = elgg_echo("river:create:object:bbbplus", array($subject_link, $object_link));
 */

list($meetingID,$group_guid)=explode("&",parse_url($object->url, PHP_URL_QUERY));
$server=elgg_get_plugin_setting('server','bbbplus')."/bigbluebutton/";
$salt=elgg_get_plugin_setting('salt','bbbplus');
 // Generate url to check if meeting is running - Genera url para revisar si la sala está creada
$baseurl="https://" . $server . "api/";
$action = "isMeetingRunning";
$params =$meetingID;
$check_string = $action.$params.$salt;
$checksum= sha1($check_string);
$url = $baseurl.$action."?".$params."&checksum=" .$checksum;
$checkxml= simplexml_load_file($url);
$istrue= $checkxml->running;

if ($istrue == "true") {
	$icon = elgg_view_icon('play-circle','bbbplus-i20-activo');
} else {

	$icon = elgg_view_icon('play-circle','bbbplus-i20-inactivo');
}

$bbbplus_url = elgg_view('output/url', array(
        'href' => $object->url,
	'text' => elgg_echo('bbbplus:join')." ". $icon,
        'target' => "_blank"
));

$bbbplus_urlrecord = elgg_view('output/url', array(
        'href' => $object->urlrecord,
        'text' => elgg_echo("bbbplus:record")." ".elgg_view_icon('camera'),
        'target' => "_blank"
));
// Validar registro

//echo $meetingID."<br>";
$call="getRecordings?". $meetingID;
$callcheck="getRecordings" . $meetingID . $salt;
$checksum=sha1($callcheck);	
$urlcall="http://" . $server . "api/" .$call.  "&checksum=" .$checksum;
$xml = simplexml_load_string(file_get_contents($urlcall));
$messageKey = $xml->messageKey;
if ( $messageKey == "noRecordings" ) {
	$record_url = "";
} else {
        $record_url ="<div class='bbbplus-data'><label>$bbbplus_urlrecord </label></div>"; 
}
// fin
$year = date('Y',strtotime($object->date));
$id_month= date('m',strtotime($object->date));
$day = date('d',strtotime($object->date));

$month = elgg_echo('bbbplus:'.$id_month);
$date_label = elgg_echo('bbbplus:date');
$time_label = elgg_echo('bbbplus:time');
$objetive_label = elgg_echo('bbbplus:objetive');


$message = <<<EOF

  <div class='bbbplus-calendar'>
    <div class='bbbplus-month'>$month</div>
    <div class='bbbplus-day'>$day</div>
 </div>
  <div class='bbbplus-event'>
       <div class='bbbplus-date'>$bbbplus_url</div>
       <div class='bbbplus-data'><label>$date_label : </label> $object->date</div>
       <div class='bbbplus-data'><label>$time_label : </label> $object->time</div> 
       $record_url
  </div>
  <div class='bbbplus-data2'>
       <div class='bbbplus-date'><label>$objetive_label : </label>
  </div>
  <div class='bbbplus-objetive'>
        $object->objetive</div>
  </div>


EOF;



echo elgg_view('river/elements/layout', array(
        'item' => $vars['item'],
        'message' => $message,
));

 
